<?php
/*  Copyright 2012  Freddie Aziz Jasbindar  (email : freddie@kakinetwork.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
//when plugin active
function install_kn_social_slide() {
	$kn_plugin="kn_socialslide";
	add_option( $kn_plugin.'_version', '1.0.2', '', 'yes' );
	add_option( $kn_plugin.'_facebook', 'on', '', 'yes' );
	add_option( $kn_plugin.'_twitter', 'on', '', 'yes' );
	add_option( $kn_plugin.'_googleplus', 'on', '', 'yes' );
	add_option( $kn_plugin.'_kakinetwork', 'on', '', 'yes' );
	add_option( $kn_plugin.'_facebook_position', 'right', '', 'yes' );
	add_option( $kn_plugin.'_twitter_position', 'right', '', 'yes' );
	add_option( $kn_plugin.'_googleplus_position', 'right', '', 'yes' );
	add_option( $kn_plugin.'_kakinetwork_position', 'right', '', 'yes' );
	add_option( $kn_plugin.'_facebook_top', '18', '', 'yes' );
	add_option( $kn_plugin.'_twitter_top', '35', '', 'yes' );
	add_option( $kn_plugin.'_googleplus_top', '52', '', 'yes' );
	add_option( $kn_plugin.'_kakinetwork_top', '69', '', 'yes' );
	//id for social plugin
	add_option( $kn_plugin.'_facebook_id', '208042365884483', '', 'yes' );
	add_option( $kn_plugin.'_twitter_id', 'KakiNetwork', '', 'yes' );
	add_option( $kn_plugin.'_googleplus_id', 'https://plus.google.com/103158195753606486338', '', 'yes' );
	//jQuery.noConflict
	add_option( $kn_plugin.'_noConflict', 'off', '', 'yes' );
}

//when plugin deactive
function uninstall_kn_social_slide() {
	$kn_plugin="kn_socialslide";
	delete_option( $kn_plugin.'_version' );
	delete_option( $kn_plugin.'_facebook' );
	delete_option( $kn_plugin.'_twitter' );
	delete_option( $kn_plugin.'_googleplus' );
	delete_option( $kn_plugin.'_kakinetwork' );
	delete_option( $kn_plugin.'_facebook_position' );
	delete_option( $kn_plugin.'_twitter_position' );
	delete_option( $kn_plugin.'_googleplus_position' );
	delete_option( $kn_plugin.'_kakinetwork_position' );
	delete_option( $kn_plugin.'_facebook_top' );
	delete_option( $kn_plugin.'_twitter_top' );
	delete_option( $kn_plugin.'_googleplus_top' );
	delete_option( $kn_plugin.'_kakinetwork_top' );
	//id for social plugin
	delete_option( $kn_plugin.'_facebook_id' );
	delete_option( $kn_plugin.'_twitter_id' );
	delete_option( $kn_plugin.'_googleplus_id' );
	//jQuery.noConflict
	delete_option( $kn_plugin.'_noConflict' );
}

//plugin in action la beb!! yeeeeaaaha!!
function kn_social_slide(){include "social_slide.php";}

//setting page
if ( is_admin() ){
	add_action('admin_menu', 'kn_socialslide_menu');
		function kn_socialslide_menu() {
		add_menu_page('KN Social Slide', 'KN Social Slide', 'administrator', 'kn_socialslide_settings', 'kn_socialslide_page', WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__)).'images/kaki.png');
		add_action( 'admin_init', 'register_kn_socialslide_settings' );
		}
}
function register_kn_socialslide_settings() {
	register_setting( 'kn_socialslide_group', 'kn_socialslide_version' );
	register_setting( 'kn_socialslide_group', 'kn_socialslide_facebook' );
	register_setting( 'kn_socialslide_group', 'kn_socialslide_twitter' );
	register_setting( 'kn_socialslide_group', 'kn_socialslide_googleplus' );
	register_setting( 'kn_socialslide_group', 'kn_socialslide_kakinetwork' );	
	register_setting( 'kn_socialslide_group', 'kn_socialslide_facebook_position' );
	register_setting( 'kn_socialslide_group', 'kn_socialslide_twitter_position' );
	register_setting( 'kn_socialslide_group', 'kn_socialslide_googleplus_position' );
	register_setting( 'kn_socialslide_group', 'kn_socialslide_kakinetwork_position' );	
	register_setting( 'kn_socialslide_group', 'kn_socialslide_facebook_top' );
	register_setting( 'kn_socialslide_group', 'kn_socialslide_twitter_top' );
	register_setting( 'kn_socialslide_group', 'kn_socialslide_googleplus_top' );
	register_setting( 'kn_socialslide_group', 'kn_socialslide_kakinetwork_top' );
	register_setting( 'kn_socialslide_group', 'kn_socialslide_facebook_id' );
	register_setting( 'kn_socialslide_group', 'kn_socialslide_twitter_id' );
	register_setting( 'kn_socialslide_group', 'kn_socialslide_googleplus_id' );
	register_setting( 'kn_socialslide_group', 'kn_socialslide_noConflict' );
}
function kn_socialslide_page() {
	include "settings.php";
}
?>