<?php
/*  Copyright 2012  Freddie Aziz Jasbindar  (email : freddie@kakinetwork.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
$kn_plugin="kn_socialslide";
$version=get_option( $kn_plugin.'_version' );
$facebook=get_option( $kn_plugin.'_facebook' );
$twitter=get_option( $kn_plugin.'_twitter' );
$googleplus=get_option( $kn_plugin.'_googleplus' );
$kakinetwork=get_option( $kn_plugin.'_kakinetwork' );
$facebook_position=get_option( $kn_plugin.'_facebook_position' );
$twitter_position=get_option( $kn_plugin.'_twitter_position' );
$googleplus_position=get_option( $kn_plugin.'_googleplus_position' );
$kakinetwork_position=get_option( $kn_plugin.'_kakinetwork_position' );
$facebook_top=get_option( $kn_plugin.'_facebook_top' );
$twitter_top=get_option( $kn_plugin.'_twitter_top' );
$googleplus_top=get_option( $kn_plugin.'_googleplus_top' );
$kakinetwork_top=get_option( $kn_plugin.'_kakinetwork_top' );
$facebook_id=get_option( $kn_plugin.'_facebook_id' );
$twitter_id=get_option( $kn_plugin.'_twitter_id' );
$googleplus_id=get_option( $kn_plugin.'_googleplus_id' );
$noConflict=get_option( $kn_plugin.'_noConflict' );
$plugin_url=WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__));
?>

<link rel="stylesheet" href="<? echo $plugin_url ?>style.css" type="text/css" />
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js"></script>
<script type="text/javascript">
<? if ($noConflict=='on'){echo "jQuery.noConflict();";} ?>
jQuery(document).ready(function(){
	jQuery("#facebook_<? echo $facebook_position; ?>").hover(function(){ jQuery(this).stop(true,false).animate({<? echo $facebook_position; ?>:  0}, 500); },function(){ jQuery("#facebook_<? echo $facebook_position; ?>").stop(true,false).animate({<? echo $facebook_position; ?>: -200}, 500); });
	jQuery("#twitter_<? echo $twitter_position; ?>").hover(function(){ jQuery(this).stop(true,false).animate({<? echo $twitter_position; ?>:  0}, 500); },function(){ jQuery("#twitter_<? echo $twitter_position; ?>").stop(true,false).animate({<? echo $twitter_position; ?>: -250}, 500); }); 
	jQuery("#google_plus_<? echo $googleplus_position; ?>").hover(function(){ jQuery(this).stop(true,false).animate({<? echo $googleplus_position; ?>:  0}, 500); },function(){ jQuery("#google_plus_<? echo $googleplus_position; ?>").stop(true,false).animate({<? echo $googleplus_position; ?>: -154}, 500); });
	jQuery("#kakinetwork_<? echo $kakinetwork_position; ?>").hover(function(){ jQuery(this).stop(true,false).animate({<? echo $kakinetwork_position; ?>:  0}, 500); },function(){ jQuery("#kakinetwork_<? echo $kakinetwork_position; ?>").stop(true,false).animate({<? echo $kakinetwork_position; ?>: -303}, 500); });
});
</script>

<!-- facebook social slide begin -->
<div id="<? echo $facebook; ?>">
	<div id="facebook_<? echo $facebook_position; ?>" style="top: <? echo $facebook_top; ?>%;">
		<div id="facebook_div">
			<img src="<? echo $plugin_url ?>images/facebook_<? echo $facebook_position; ?>.png" alt="" />
			<iframe src="http://www.facebook.com/plugins/likebox.php?id=<? echo $facebook_id; ?>&amp;locale=en_GB&amp;width=200&amp;connections=9&amp;stream=&amp;header=false&amp;show_faces=0&amp;height=356"   scrolling="no"></iframe>
		</div>
	</div>
</div>

<!-- twitter social slide begin -->
<div id="<? echo $twitter; ?>">
	<div id="twitter_<? echo $twitter_position; ?>" style="top: <? echo $twitter_top; ?>%;">
		<div id="twitter_div">
			<img id="twitter_<? echo $twitter_position; ?>_img" src="<? echo $plugin_url ?>images/twitter_<? echo $twitter_position; ?>.png">
			<script src="http://widgets.twimg.com/j/2/widget.js"></script>
			<script>
				new TWTR.Widget({
				version: 2,
				type: 'profile',
				rpp: 4,
				interval: 1000,
				width: 246,
				height: 265,
				theme: {
				shell: {
				background: '#63BEFD',
				color: '#FFFFFF'
				},
				tweets: {
				background: '#FFFFFF',
				color: '#000000',
				links: '#47a61e'}
				},
				features: {
				loop: false,live: true,
				scrollbar: false,hashtags: false,timestamp: true,avatars: true,behavior: 'all'				  }
				}).render().setUser('<? echo $twitter_id; ?>').start();
			</script>
		</div>
	</div>
</div>

<!-- google plus social slide begin -->
<div id="<? echo $googleplus; ?>">
	<div id="google_plus_<? echo $googleplus_position; ?>" style="top: <? echo $googleplus_top; ?>%;">
		<div id="google_plus_div">
			<img id="google_plus_<? echo $googleplus_position; ?>_img" src="<? echo $plugin_url ?>images/google_plus_<? echo $googleplus_position; ?>.png">
			<script type="text/javascript" src="http://apis.google.com/js/plusone.js">
				{lang: 'en-US'}
			</script>
			<div style="color:#999; padding-top: 15px; padding-left:40px; margin:5px; width:98px; height:97px;">
				<g:plusone size="tall" href="<? echo $googleplus_id; ?>" count="1"></g:plusone>
			</div>
		</div>
	</div>
</div>

<!-- kakinetwork social slide begin -->
<div id="<? echo $kakinetwork; ?>">
	<div id="kakinetwork_<? echo $kakinetwork_position; ?>" style=" top: <? echo $kakinetwork_top; ?>%;">
		<div id="kakinetwork_div">
			<iframe id="fr" src="http://www.kakiheboh.com/api/social_slide.php" style="overflow: hidden; height: 105px; width:  300px; border: 0;" scrolling="no"></iframe>
			<img src="<? echo $plugin_url ?>images/kakinetwork_<? echo $kakinetwork_position; ?>.png" alt="" />
		</div>
	</div>
</div>